## kte-collaborative 0.2.0

=== CMakeLists.txt ===
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

project(kobby)
cmake_minimum_required(VERSION 2.6)
set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/CMakeModules )

set(KTECOLLAB_VERSION_MAJOR 0)
set(KTECOLLAB_VERSION_MINOR 1)
set(KTECOLLAB_VERSION_PATCH 80)
set(KTECOLLAB_VERSION_STRING ${KTECOLLAB_VERSION_MAJOR}.${KTECOLLAB_VERSION_MINOR}.${KTECOLLAB_VERSION_PATCH})
set(LIBINFINITY_VERSION 0.5) # TODO use this for finding libinfinity

configure_file(version.h.in version.h)

find_package(KDE4 REQUIRED)
find_package(Libqinfinity REQUIRED)

# TODO: make optional?
set(IS_KTP_INTERNAL_MODULE TRUE) # aw yeah
find_package(TelepathyQt4 0.8.9 REQUIRED)
find_package(KTp REQUIRED)

include(KDE4Defaults)

add_definitions("-DENABLE_TAB_HACK")

add_subdirectory(kte-plugin)
add_subdirectory(kioslave)
add_subdirectory(common)
add_subdirectory(tests)
add_subdirectory(notifier-module)
include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )
