=== debian/changelog ===
kte-collaborative (0.2.0-0ubuntu1) trusty; urgency=medium

  [ Jonathan Riddell ]
  * Kubuntu upload from Debian mentors, LP: #1216743

  [ Scarlett Clark ]
  * Fix copyright 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Feb 2014 11:46:50 +0000

kte-collaborative (0.2.0-1) experimental; urgency=low

  * Initial release (Closes: #725110)

 -- Diane Trout <diane@ghic.org>  Sat, 02 Nov 2013 09:01:13 -0700
