=== debian/control ===
Source: kte-collaborative
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools,
 kdelibs5-dev (>= 4:4.5.0),
 libtelepathy-qt4-dev( >= 0.8.9),
 libktpcommoninternalsprivate-dev (>= 0.7.0),
 libqinfinity-dev (>= 1:0.5.2),
 libinfinity-0.5-dev,
 infinoted-0.5,
 libgsasl7-dev
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/network/kte-collaborative
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/kte-collaborative.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/kte-collaborative.git

Package: kte-collaborative
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Collaborative Text Editor support for KDE
 kte-collaborative provides a KIO and Kate plugin to access infinote
 files. You can open files directly as
 inf://myusername@servername.tld:port/path/to/document.txt or
 you can browse infinote servers using the KDE file dialog or file managers.
 .
 You can also use Telepathy to establish pseudo peer-to-peer connections
 to jabber contacts from the same menu.

Package: kte-collaborative-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kte-collaborative (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Debug symbols for KDE Text Editor collaborative plugin
 kte-collaborative provides a KIO and Kate plugin to access infinote
 files. You can open files directly as
 inf://myusername@servername.tld:port/path/to/document.txt or
 you can browse infinote servers using the KDE file dialog or file managers.
 .
 This package contains debugging symbols.
