=== debian/watch ===
version=3
http://download.kde.org/stable/kte-collaborative/([0-9.]+)/src/kte-collaborative-v?([0-9.]+).tar.xz
